--- ./src/master/master-settings.c
+++ ./src/master/master-settings.c	2019-05-26 23:25:08.000000000 -0400
@@ -210,9 +210,9 @@
 	.protocols = "imap pop3 lmtp",
 	.listen = "*, ::",
 	.ssl = "yes:no:required",
-	.default_internal_user = "dovecot",
-	.default_internal_group = "dovecot",
-	.default_login_user = "dovenull",
+	.default_internal_user = "_dovecot",
+	.default_internal_group = "_dovenull",
+	.default_login_user = "_dovenull",
 	.default_process_limit = 100,
 	.default_client_limit = 1000,
 	.default_idle_kill = 60,
@@ -223,7 +223,10 @@
 	.first_valid_uid = 500,
 	.last_valid_uid = 0,
 	.first_valid_gid = 1,
-	.last_valid_gid = 0,
+	/* macOS: `last_valid_gid = 100` to avoid the error */
+	/* imap: Fatal: setgroups(501) failed: Too many extra groups */
+	/* https://www.systemcodegeeks.com/mac-os/macos-dovecot-setgroups-failed/ */
+	.last_valid_gid = 100,
 
 #ifndef CONFIG_BINARY
 	.services = ARRAY_INIT
